Subject: bug#66223: treesit-major-mode-setup should not call font-lock-mode

From: Yuan Fu <[email-masked]>
Date: Wed, 27 Sep 2023 17:23:41 -0700

> On Sep 27, 2023, at 1:51 AM, Dmitry Gutov <[email-masked]> wrote:
> 
> On 27/09/2023 10:21, Yuan Fu wrote:
>> Makes sense. We can remove that line in master, and see if anything comes up. I don’t remember why I added it, I don’t think there was any particular reason.
> 
> If we have to start on master, so be it. I'd like to see the fix in emacs-29, though (at least eventually).

Yeah, let’s test this out on master for a while and apply it to emacs-29 if no one comes up and complain. It seems to me that 29.2 is still a while away.

Yuan